function y=plot_gom_ke(lon,lat,ke);
%plot_gom_ke(lon,lat,ke) plots kinetic energy/density (cm^2/s), either mean or EKE.
%  lon (longitude, negative for western hemisphere), lat (latitude) , and ke (cm^2/s)
%  are 2-D arrays representing a structured grid.  

load gom1k_topo

dd=size(ke);
if (size(lon) ~= dd) | (size(lat) ~= dd)
  error('Error: Dimensions of lon,lat,ke must be equal')
end

ff = figure('visible','off');
axes('Position',[0.1 0.1 0.7 0.82]);
hold on;

cc=colormap(jet(128));

land=HH;
land(HH>=0)=nan;
land(HH<0)=0;
cc=colormap(jet);
cc(1,:)=[1 1 1];
colormap(cc);
pcolor(elon,alat,land); 

ke(find(ke<.01))=.08;
pcolor(double(lon),double(lat),double(ke)); 
shading interp;

set(gca,'Color',[.5 1 .5]);

clb=colorbar;
set(clb,'Ticks',[0:10:100],...
	'TickLength',0.047,...
	'Position',[0.82, 0.2, 0.025, 0.6],...
	'Fontsize',11);

caxis([0 100]);

contour(elon,alat,HH,[-3000 -2500 -2000 -1500 -1000 -500 -200 -100 0],'k','linewidth',.5);
axis equal
set(gca,'xlim',[-98 -80],'ylim',[18.1 31.5]);
set(gca,'TickDir','out');

axes_deg

set(gcf,'color',[1 1 1])
set(gcf,'InvertHardcopy','off');           
