%--------------------------------------------------
% Plot mean vectors and standard deviation ellipses
%--------------------------------------------------
load gom_hycom_meanU_std
%Mean 1500-2500m current vectors and standard deviation ellipse parameters
%from the GoM HYCOM Reanalysis 50.1 (years 2008-2012).
%Data are subset every 10th grid point (from 4km model grid)

%all values in m/s
%major, minor are semi-major and semi-minor axes of standard deviation ellipses
%from time series (daily) computed using function princax.m (theta is rotation).

scale=5;
plot_gom_mnstd(lon,lat,umn,vmn,major,minor,theta,scale);

title('1500m-2500m Mean/Std Ellipses: HYCOM Reanalysis (2008-2012)');

print('-dpng','-r300','uvmn_std_1500-2500m.png');

%--------------------------------------------------
% Plot mean vectors with no std ellipses
%--------------------------------------------------
load gom_hycom_meanU
%Mean 1500-2500m current vectors
%from the GoM HYCOM Reanalysis 50.1 (years 2008-2012).
%Data are subset every 4th grid point (from 4km model grid)

%all values in m/s

%call plotting function with all zeros for major,minor,theta to suppress plotting ellipses

scale=10;
plot_gom_mnstd(lon,lat,umn,vmn,lon*0,lon*0,lon*0,scale);

title('1500m-2500m Mean: HYCOM Reanalysis (2008-2012)');

print('-dpng','-r300','uvmn_1500-2500m.png');
